SYSTEMD-AC-POWER(1)

BEZEICHNUNG
systemd-ac-power - Meldet, ob eine Verbindung zu einer externen Stromquelle besteht

ÜBERSICHT

systemd-ac-power [OPTIONEN…]

BESCHREIBUNG

systemd-ac-power kann dazu verwandt werden, zu prüfen, ob das System an der Steckdose hängt oder nicht. Standardmäßig liefert es einfach Erfolg (falls erkannt werden kann, dass das System an der Steckdose hängt) oder Fehlschlag zurück; ohne Ausgabe. Dies kann beispielsweise zur Fehlersuche in ConditionACPower= (siehe systemd.unit(5)) verwandt werden.

OPTIONEN

Die folgenden Optionen werden verstanden:

-v, --verbose
    Zeigt das Ergebnis als Text, statt nur Erfolg oder Fehlschlag zurückzuliefern.

--low
    Instead of showing AC power state, show low battery state. In this case will return zero if all batteries are currently discharging and below 5% of maximum charge. Returns non-zero otherwise.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

EXIT-STATUS

Im Erfolgsfall (das System hängt an der Steckdose) wird 0 zurückgeliefert, ansonsten ein von Null verschiedener Fehlschlags-Code.

SIEHE AUCH

systemd(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).